rte_eth_fdir_masks(3)

NAME
rte_eth_fdir_masks

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint16_t vlan_tci_mask
struct rte_eth_ipv4_flow ipv4_mask
struct rte_eth_ipv6_flow ipv6_mask
uint16_t src_port_mask
uint16_t dst_port_mask
uint8_t mac_addr_byte_mask
uint32_t tunnel_id_mask
uint8_t tunnel_type_mask

Detailed Description

A structure used to configure FDIR masks that are used by the device to match the various fields of Rx packet headers.

Definition at line 351 of file rte_eth_ctrl.h.

Field Documentation

  uint16_t vlan_tci_mask
Bit mask for vlan_tci in big endian

Definition at line 352 of file rte_eth_ctrl.h.

  struct rte_eth_ipv4_flow ipv4_mask
Bit mask for ipv4 flow in big endian.

Definition at line 354 of file rte_eth_ctrl.h.

  struct rte_eth_ipv6_flow ipv6_mask
Bit mask for ipv6 flow in big endian.

Definition at line 356 of file rte_eth_ctrl.h.

  uint16_t src_port_mask
Bit mask for L4 source port in big endian.

Definition at line 358 of file rte_eth_ctrl.h.

  uint16_t dst_port_mask
Bit mask for L4 destination port in big endian.

Definition at line 360 of file rte_eth_ctrl.h.

  uint8_t mac_addr_byte_mask
6 bit mask for proper 6 bytes of Mac address, bit 0 matches the first byte on the wire

Definition at line 363 of file rte_eth_ctrl.h.

  uint32_t tunnel_id_mask
Bit mask for tunnel ID in big endian.

Definition at line 365 of file rte_eth_ctrl.h.

  uint8_t tunnel_type_mask
1 - Match tunnel type, 0 - Ignore tunnel type.

Definition at line 366 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.